Name:           perl-Text-MultiMarkdown
Version:        1.000034
Release:        1%{?dist}
Summary:        Convert MultiMarkdown syntax to (X)HTML
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-MultiMarkdown/
Source0:        http://www.cpan.org/authors/id/B/BO/BOBTFISH/Text-MultiMarkdown-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 1:5.8.0
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTML::Tidy)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.42
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Text::Diff)
BuildRequires:  perl(Text::Markdown) >= 1.000026
Requires:       perl(Text::Markdown) >= 1.000026
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Markdown is a text-to-HTML filter; it translates an easy-to-read / easy-to-
write structured text format into HTML. Markdown's text format is most
similar to that of plain text email, and supports features such as headers,
*emphasis*, code blocks, blockquotes, and links.

%prep
%setup -q -n Text-MultiMarkdown-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
TEST_POD=1 make test

%files
%doc Changes License.text MANIFEST.skip README Readme.text Todo
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Fri Apr 29 2011 Iain Arnell <iarnell@gmail.com> 1.000034-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000033-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.000033-3
- 661697 rebuild for fixing problems with vendorach/lib

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.000033-2
- Mass rebuild with perl-5.12.0

* Sat Mar 27 2010 Iain Arnell <iarnell@gmail.com> 1.000033-1
- update to latest upstream version
- use perl_default_filter and DESTDIR
- add MultiMarkdown script to files

* Fri Jan 22 2010 Iain Arnell <iarnell@gmail.com> 1.000032-1
- update to latest upstream
- remove BR perl(File::Slurp)

* Sat Oct 31 2009 Iain Arnell 1.000031-1
- Specfile autogenerated by cpanspec 1.78.
